Create shipments
POST /public/shipments on the Shipment Management API. Base URL: https://api.sinay.ai/safecube/api/v1.
Endpoint that allows to create shipments in Safecube web application. The shipment creation is asynchronous.
When Safecube will have processed your request entirely, you will receive a email with the shipment creation summary, including if the shipment has been created or not, and if not, why.
Request body
application/json, required.
| Field | Type | Required | Description |
|---|---|---|---|
shipments | array of object | No | — |
shipments[].shipmentNumber | string | Yes | The shipment number is a container number, Booking number or Bill of Lading number. |
shipments[].sealine | string | No | The SCAC code is a 4 letters code that is used to identify a sealine. Find all supported sealines in the supported sealines guide. |
Responses
No body.